Bug 181764 - File selection box: Create Folder during Save As loses original filename
File selection box: Create Folder during Save As loses original filename
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-16 07:22 EST by Dave Jenkins
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-11 12:33:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jenkins 2006-02-16 07:22:55 EST
Description of problem:
When doing Save As on an existing file in a GTK+ app, e.g. Firefox or Gimp, if I
Create Folder, the original filename is lost from the file selection box after
entering the name of the new folder. I have to re-enter the filename manually,
or cancel the save and start a new one.


Version-Release number of selected component (if applicable):
gtk2-2.6.10-2.fc4.4

How reproducible:
Always

Steps to Reproduce:
1. In Gimp, open an existing image.
2. From File menu, select Save as...
3. In file selection box, click Create Folder.
4. Enter name of new folder.
  
Actual results:
New folder is created and file selection box navigates into it, but deletes the
existing filename from the Name field.

Expected results:
New folder is created and file selection box navigates into it, leaving the
existing filename in the Name field.


Additional info:
Comment 1 Matthias Clasen 2006-03-11 12:33:38 EST
This problem is being tracked upstream. I don't have the bug number at hand.
Comment 2 Dave Jenkins 2006-03-13 12:29:22 EST
I searched bugzilla.gnome.org before filing this bug and have searched again now
and cannot find anything that corresponds to this problem. I've searched for all
open GtkFileChooser bugs, as well as text searches on e.g. create folder. Am I
looking in the wrong place? It would be useful to record a reference here to the
upstream bug to help other users.

Note You need to log in before you can comment on or make changes to this bug.